aboutsummaryrefslogtreecommitdiffstats
path: root/repo/features/scripts/download_odl.sh
diff options
context:
space:
mode:
authorJustin chi <chigang@huawei.com>2017-01-24 08:50:35 +0000
committerGerrit Code Review <gerrit@opnfv.org>2017-01-24 08:50:35 +0000
commitd001a27936a5d55cda2d8ca0849f30a8bd1c0b3d (patch)
treea4a87d67dbb248d3ea2034adfe04dea79378df7f /repo/features/scripts/download_odl.sh
parente5d3ebef36c73a8bcbad3d0236bdb663809033ea (diff)
parent6f279a7362504418cfcc453e11b3a9c2d458a2ea (diff)
Merge "Adjust make repo"
Diffstat (limited to 'repo/features/scripts/download_odl.sh')
-rw-r--r--repo/features/scripts/download_odl.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/repo/features/scripts/download_odl.sh b/repo/features/scripts/download_odl.sh
new file mode 100644
index 00000000..57732c8b
--- /dev/null
+++ b/repo/features/scripts/download_odl.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2016 HUAWEI TECHNOLOGIES CO.,LTD and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+set -ex
+
+TIMEOUT=10
+
+for i in REPLACE_ODL_PKG; do
+ mkdir -p /pkg/odl
+ curl --connect-timeout $TIMEOUT -o /pkg/odl/${i##*/} $i
+done